## org.eclipse.emf.codegen.ecore.generator
Class AbstractGeneratorAdapter.JETEmitterDescriptor

    java.lang.Object
      org.eclipse.emf.codegen.ecore.generator.AbstractGeneratorAdapter.JETEmitterDescriptor

Enclosing class:
  AbstractGeneratorAdapter

    protected static class AbstractGeneratorAdapter.JETEmitterDescriptor

extends java.lang.Object

The information required to construct and initialize a `JETEmitter`, namely the file name of the template (relative to the template path) and the qualified name of the template class.

Field Summary
`java.lang.String` `className`
`java.lang.String` `templatePathName`

Constructor Summary
`AbstractGeneratorAdapter.JETEmitterDescriptor(java.lang.String templatePathName, java.lang.String className)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### templatePathName

    public java.lang.String templatePathName

### className

    public java.lang.String className

Constructor Detail

### AbstractGeneratorAdapter.JETEmitterDescriptor

    public AbstractGeneratorAdapter.JETEmitterDescriptor(java.lang.String templatePathName,
                                                         java.lang.String className)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.